<p>&nbsp;</p><p>&nbsp;</p>
<?php 
  include "config.php";
  $code = htmlspecialchars(trim($_GET['code'])); 
  if ($code == 'php') { ?>
<center><textarea rows="15" cols="40">&lt;?php
$cat_id = $HTTP_GET_VARS['cat_id'];
$pg = $HTTP_GET_VARS['pg'];
$url = '<?php echo $domain; ?>/index.php';
if ($cat_id) $url = $url.'?cat_id='.$cat_id;
if ($pg) $url = $url.'&pg='.$pg;
$hfile = @fopen($url, 'r');
if ($hfile) while (!feof($hfile))
{
$content = fread($hfile, 4096);
echo \$content;
}
?&gt;</textarea>
<?php } 
else { ?>
<center><textarea rows="9" cols="40">&lt;script&gt;
ls=document.location.search;
ls=ls.substr(ls.search('cat_id=')+7);
if (ls.length>0) cat_id = ls; else cat_id = "";
document.write('&lt;scr' + 'ipt src="<?php echo $domain; ?>/index.php?script=js&cat_id=' + cat_id + '"&gt;&lt;/scr' + 'ipt&gt;');
&lt;/script&gt;</textarea>
<? } ?>
